<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<link rel="icon" href="images/favicon.png">
		<link rel="preload" href="styles/fonts/roboto-mono-regular.woff2" as="font" />
		<link rel="stylesheet" href="styles/main.css">
		<meta name="viewport" content="width=device-width, initial-scale=1.0">
		<title>Projects &amp; work</title>
	</head>
	<body>
		<header>
			<div id="header-menu" tabindex="0">
				<img
					src="images/menu.svg"
					alt="Menu"
				>
			</div>
			<span id="header-item-list">
				<a href="index.html" class="header-item">Index</a>
				<a class="header-item current-page">Projects &amp; Work</a>
				<a href="posts/index.html" class="header-item">Posts</a>
				<a href="calendar.html" class="header-item">Calendar</a>
				<a href="order.html" class="header-item">Make an order</a>
				<a href="stickers.html" class="header-item">Sticker wall</a>
			</span>
			<span class="header-item">
				Tomáš Valenta
			</span>
		</header>
		<main>
			<h1 class="window margin-bottom">
				Projects &amp; work.
			</h1>
			
			<section class="window margin-bottom">
				<h2 class="margin-bottom">Heiwa.</h2>
				<p class="margin-bottom">
					A Flask and SQLAlchemy (<a
						href="https://towardsdatascience.com/use-flask-and-sqlalchemy-not-flask-sqlalchemy-5a64fafe22a4"
						target="_blank"
					>not Flask-SQLAlchemy!</a>) powered forum API I've been working on for
					quite a long time, designed to be very customizable and extensible,
					while remaining reasonably fast. While metadata like approximate length
					and timestamps remains visible, basic E2EE messaging is supported. There
					have been at least 3 attempts at making a frontend so far, but I've
					never been truly happy with their result. The next, hopefully final
					iteration will look very personal and fun, instead of being <a
						href="https://thenextweb.com/news/zzzzzz"
						target="_blank"
					>&quot;universal&quot;</a> in order to appease everyone.
				</p>
				<p class="margin-bottom">
					Right now, it looks just like this website!
				</p>
				<img
					src="images/scales.svg"
					alt="Scales icon"
					height="16"
				> AGPLv3
				&bull;
				<img
					src="images/git.svg"
					alt="Git icon"
					height="16"
				> <a
					href="https://git.imaniti.org/Tomas/Heiwa"
					target="_blank"
				>GitLab</a>
			</section>
			
			<section class="window margin-bottom">
				<h2 class="margin-bottom">Mapping mass surveillance.</h2>
				<p class="margin-bottom">
					So far, I've recorded and described over a thousand security cameras and
					other types of surveillance around my area. Aware of their constant
					presence, the streets I've walked across thousands of times before now
					feel like large-scale panopticons.
				</p>
				<p class="margin-bottom text-light">
					The thousand camera milestone was achieved on 2022-05-07!
				</p>
				<img
					src="images/globe.svg"
					alt="Globe icon"
					height="16"
				> <a
					href="https://sunders.uber.space/"
					target="_blank"
				>OSM view</a>
			</section>
			
			<section class="window margin-bottom">
				<h2 class="margin-bottom">ChatControl.</h2>
				
				<p class="margin-bottom">
					In 2021, I translated and helped spread a petition against the mass scanning
					of unencrypted digital communication for CSAM - a new EU regulation dubbed
					ChatControl. The first temporary regulation passed, and in early 2022, a new
					permanent one which would also affect encrypted communication, cloud services
					and such was introduced.
				</p>
				
				<p class="margin-bottom">
					So far, I've organized 5 demonstrations, sometimes varying in their success
					and amount of attendees, but I was happy with all of them. The petition got
					around 600 signatures over the course of a few months, and I presented it to
					the parliament around the end of September. Around that time, I also met up
					with some key parliamentarians to discuss the proposal and explain why I
					believe it to be a seriously bad idea. And, on the 31st, the European affair
					commitee put out a statement highlighting the major issues with communication
					privacy and explicitly asking for encryption rights to be upheld -- but didn't
					dismiss the proposal outright. This isn't the result I was hoping for, but
					it's certainly better than one in a universe where I hadn't done anything at
					all.
				</p>
				
				<p class="margin-bottom">
					Of course, that isn't the end of things and the battle is now moving to
					the entirety of the EU, instead of just national parliaments. I'm currently
					perparing an europe-level petition, which will be launched soon.
				</p>
				
				<p class="margin-bottom">
					Once I feel I've gathered enough information, I'll write a post about my
					experience and give as many tips as possible for other people trying to do
					something similar.
				</p>
				
				<img
					src="images/globe.svg"
					alt="Globe icon"
					height="16"
				> <a
					href="https://imaniti.org"
					target="_blank"
				>Website</a>
			</section>
			
			<section class="window margin-bottom">
				<h2 class="margin-bottom">Czech Julian Assange petition.</h2>
				
				<p class="margin-bottom">
					In collaboration with Helena Svatošová, Linda Sokačová and Dalibor Záhora, I
					made an online version of the local Julian Assange freedom petition.
				</p>
				
				<img
					src="images/globe.svg"
					alt="Globe icon"
					height="16"
				> <a
					href="https://assange.cz"
					target="_blank"
				>assange.cz</a>
			</section>
			
			<section class="window margin-bottom">
				<h2 class="margin-bottom">Tor and I2P relays.</h2>
				<p class="margin-bottom">
					I run 2 Tor relays, one of them with exit traffic allowed, with a total maximum
					throughput of about 6MiB/s. I plan to run more in the future as well, outside
					any major datacenters and with providers like <a
						href="https://njal.la"
						target="_blank"
					>njal.la</a>.
					
					<br>
					
					<i>I2P relay temporarily out of order.</i>
				</p>
				<img
					src="images/chart.svg"
					alt="Chart icon"
					height="16"
				> <a
					href="https://metrics.torproject.org/rs.html#details/FEA321D8F4AD773220FC0D4A2AE79F8A4A59DB42"
					target="_blank"
				>Tor relay 1</a>
				
				<img
					src="images/chart.svg"
					alt="Chart icon"
					height="16"
				> <a
					href="https://metrics.torproject.org/rs.html#details/CB710EE7F3EE317A5EF0144A7EEB5B9DB06A20AC"
					target="_blank"
				>Tor relay 2</a>
			</section>
			
			<section class="window margin-bottom">
				<h2 class="margin-bottom">Political programming stuff.</h2>
				
				<p class="margin-bottom">
					I have worked and am working on many programming-related projects, mainly for
					the Czech Pirate Party. Here's a list of some of them, all <img
						src="images/scales.svg"
						alt="Scales icon"
						height="16"
					> AGPLv3:
				</p>
				
				<h3 class="margin-bottom">Pirate Party</h3>
				
				<ul class="margin-bottom">
					<li>
						<img
							src="images/globe.svg"
							alt="Globe icon"
							height="16"
						> <a
							href="https://skymseshodnes.cz"
							target="_blank"
						>Election calculator</a>
					</li>
					
					<li>
						<img
							src="images/globe.svg"
							alt="Globe icon"
							height="16"
						> <a
							href="https://ucetzablaboly.cz"
							target="_blank"
						>Účet za bláboly</a>
					</li>
					
					<li>
						<img
							src="images/globe.svg"
							alt="Globe icon"
							height="16"
						> <a
							href="https://zluteteplaky.cz"
							target="_blank"
						>Žluté tepláky</a>
					</li>
					
					<li>
						<img
							src="images/globe.svg"
							alt="Globe icon"
							height="16"
						> <a
							href="https://odvahadelatvecispravne.cz"
							target="_blank"
						>Odvážne pro Volary homepage</a>
					</li>
					
					<li>
						<img
							src="images/globe.svg"
							alt="Globe icon"
							height="16"
						> <a
							href="https://prukazy.pirati.cz"
							target="_blank"
						>Voličské průkazy</a>
					</li>
					
					<li>
						<img
							src="images/globe.svg"
							alt="Globe icon"
							height="16"
						> <a
							href="https://pirati.cz"
							target="_blank"
						>Main webiste (Collaboration)</a>
					</li>
					
					<li>
						<img
							src="images/git.svg"
							alt="Git icon"
							height="16"
						> <a
							href="https://git.imaniti.org/Tomas/Graphics-Generator"
							target="_blank"
						>Graphics generator</a>
					</li>
					
					<li>
						<img
							src="images/git.svg"
							alt="Git icon"
							height="16"
						> <a
							href="https://git.imaniti.org/Tomas/Nastenka"
							target="_blank"
						>Nástěnka</a>
					</li>
					
					<li>
						<img
							src="images/git.svg"
							alt="Git icon"
							height="16"
						> <a
							href="https://gitlab.com/tomas.valenta/regulacekonopi.cz-placeholder"
							target="_blank"
						>Regulace konopí</a>
					</li>
					
					<li>
						Coming up: Pirate streaming website!
					</li>
				</ul>
				
				<h3 class="margin-bottom">
					Danuše Nerudová, 2023 presidential candidate
				</h3>
				
				<ul>
					<li>
						<img
							src="images/globe.svg"
							alt="Globe icon"
							height="16"
						> <a
							href="https://danusenerudova.cz/ramecky"
							target="_blank"
						>Profile picture generator</a>
					</li>
				</ul>
			</section>
		</main>
	</body>
</html>
